|  | reflex::Input::dos_streambuf Class Reference updated Thu Jun 19 2025 by Robert van Engelen |

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
reflex::Input::dos_streambuf Class Reference

Stream buffer for reflex::Input to read DOS files, replaces CRLF by LF, derived from std::streambuf. More...

`#include <input.h>`

Inheritance diagram for reflex::Input::dos_streambuf:
[legend]
Collaboration diagram for reflex::Input::dos_streambuf:
[legend]

## Public Member Functions

| dos_streambuf (const reflex::Input &input)

## Protected Member Functions

virtual int_type | underflow ()
virtual int_type | uflow ()
virtual std::streamsize | xsgetn (char *s, std::streamsize n)
virtual std::streamsize | showmanyc ()
int | get ()

## Protected Attributes

Input | input_
int | ch1_
int | ch2_

## Detailed Description

Stream buffer for reflex::Input to read DOS files, replaces CRLF by LF, derived from std::streambuf.

## Constructor & Destructor Documentation

reflex::Input::dos_streambuf::dos_streambuf | ( | const reflex::Input & | input | ) |

inline

## Member Function Documentation

int reflex::Input::dos_streambuf::get | ( |  | ) |

inline protected

virtual std::streamsize reflex::Input::dos_streambuf::showmanyc | ( |  | ) |

inline protected virtual

virtual int_type reflex::Input::dos_streambuf::uflow | ( |  | ) |

inline protected virtual

virtual int_type reflex::Input::dos_streambuf::underflow | ( |  | ) |

inline protected virtual

virtual std::streamsize reflex::Input::dos_streambuf::xsgetn | ( | char * | s,
|  | std::streamsize | n
| ) |  |

inline protected virtual

## Member Data Documentation

int reflex::Input::dos_streambuf::ch1_

protected

int reflex::Input::dos_streambuf::ch2_

protected

Input reflex::Input::dos_streambuf::input_

protected

The documentation for this class was generated from the following file:

- input.h